Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.cluster
Class AddMember

    java.lang.Object
      org.jivesoftware.openfire.muc.cluster.MUCRoomTask
          org.jivesoftware.openfire.muc.cluster.AddMember

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class AddMember

extends MUCRoomTask

Task that adds a new member to the room in the other cluster nodes.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`AddMember()`
`AddMember(LocalMUCRoom room, org.xmpp.packet.JID bareJID, String nickname)`
`AddMember(LocalMUCRoom room, String bareJID, String nickname)`

Method Summary
`org.xmpp.packet.JID` | `getBareJID()`
`String` | `getNickname()`
`Object` | `getResult()`
`void` | `readExternal(ObjectInput in)`
`void` | `run()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jivesoftware.openfire.muc.cluster.MUCRoomTask
`execute, getRoom, isOriginator, setOriginator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddMember

    public AddMember()

### AddMember

    public AddMember(LocalMUCRoom room,
                     org.xmpp.packet.JID bareJID,
                     String nickname)

### AddMember

    public AddMember(LocalMUCRoom room,
                     String bareJID,
                     String nickname)

Method Detail

### getBareJID

    public org.xmpp.packet.JID getBareJID()

### getNickname

    public String getNickname()

### getResult

    public Object getResult()

### run

    public void run()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `MUCRoomTask`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `MUCRoomTask`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.